# Created by pyp2rpm-3.3.1
%global pypi_name nosexcover

Name:           python-%{pypi_name}
Version:        1.0.11
Release:        %mkrel 12
Summary:        Extends nose.plugins.cover to add Cobertura-style XML reports
Group:          Development/Python
License:        BSD
URL:            https://github.com/cmheisel/nose-xcover/
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A companion to the built-in nose.plugins.cover, this plugin will write out an
XML coverage report to a file named coverage.xml.

It will honor all the options you pass to the Nose coverage plugin, especially
--cover-package.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
A companion to the built-in nose.plugins.cover, this plugin will write out an
XML coverage report to a file named coverage.xml.

It will honor all the options you pass to the Nose coverage plugin, especially
--cover-package.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# nose is now provided by pynose module
sed -ie "s/'nose'/'pynose'/" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst



%changelog
* Sun Mar 02 2025 wally <wally> 1.0.11-12.mga10
+ Revision: 2158428
- rebuild for python3.13

* Wed Jan 29 2025 papoteur <papoteur> 1.0.11-11.mga10
+ Revision: 2143432
- require pynose instead of nose module

* Mon Jan 29 2024 papoteur <papoteur> 1.0.11-10.mga10
+ Revision: 2035881
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0.11-9.mga9
+ Revision: 1823033
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 1.0.11-8.mga9
+ Revision: 1779082
- Rebuild for python 3.10

* Sat Jun 26 2021 wally <wally> 1.0.11-7.mga9
+ Revision: 1732339
- Rebuild for python 3.9

* Fri Jun 04 2021 akien <akien> 1.0.11-6.mga9
+ Revision: 1729667
- Rebuild for Python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.11-5.mga8
+ Revision: 1534202
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 1.0.11-4.mga8
+ Revision: 1447488
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 1.0.11-3.mga7
+ Revision: 1351260
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.11-2.mga7
+ Revision: 1289484
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 kekepower <kekepower> 1.0.11-1.mga7
+ Revision: 1212423
- imported package python-nosexcover

